org.bouncycastle.asn1.cms

## Class AuthenticatedData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cms.AuthenticatedData

All Implemented Interfaces:
  DEREncodable

    public class AuthenticatedData
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`AuthenticatedData(ASN1Sequence seq)`
`AuthenticatedData(OriginatorInfo originatorInfo, ASN1Set recipientInfos, AlgorithmIdentifier macAlgorithm, AlgorithmIdentifier digestAlgorithm, ContentInfo encapsulatedContent, ASN1Set authAttrs, ASN1OctetString mac, ASN1Set unauthAttrs)`

### Method Summary

Methods
`static int` `calculateVersion(OriginatorInfo origInfo)`
`ASN1Set` `getAuthAttrs()`
`ContentInfo` `getEncapsulatedContentInfo()`
`static AuthenticatedData` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an AuthenticatedData object from a tagged object.
`static AuthenticatedData` `getInstance(java.lang.Object obj)` return an AuthenticatedData object from the given object.
`ASN1OctetString` `getMac()`
`AlgorithmIdentifier` `getMacAlgorithm()`
`OriginatorInfo` `getOriginatorInfo()`
`ASN1Set` `getRecipientInfos()`
`ASN1Set` `getUnauthAttrs()`
`DERInteger` `getVersion()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthenticatedData

    public AuthenticatedData(OriginatorInfo originatorInfo,
                     ASN1Set recipientInfos,
                     AlgorithmIdentifier macAlgorithm,
                     AlgorithmIdentifier digestAlgorithm,
                     ContentInfo encapsulatedContent,
                     ASN1Set authAttrs,
                     ASN1OctetString mac,
                     ASN1Set unauthAttrs)

#### AuthenticatedData

    public AuthenticatedData(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static AuthenticatedData getInstance(ASN1TaggedObject obj,
                                boolean explicit)

return an AuthenticatedData object from a tagged object.

Parameters:
  `obj` - the tagged object holding the object we want.
  `explicit` - true if the object is meant to be explicitly tagged false otherwise.
Throws:
  `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

#### getInstance

    public static AuthenticatedData getInstance(java.lang.Object obj)

return an AuthenticatedData object from the given object.

Parameters:
  `obj` - the object we want converted.
Throws:
  `java.lang.IllegalArgumentException` - if the object cannot be converted.

#### getVersion

    public DERInteger getVersion()

#### getOriginatorInfo

    public OriginatorInfo getOriginatorInfo()

#### getRecipientInfos

    public ASN1Set getRecipientInfos()

#### getMacAlgorithm

    public AlgorithmIdentifier getMacAlgorithm()

#### getEncapsulatedContentInfo

    public ContentInfo getEncapsulatedContentInfo()

#### getAuthAttrs

    public ASN1Set getAuthAttrs()

#### getMac

    public ASN1OctetString getMac()

#### getUnauthAttrs

    public ASN1Set getUnauthAttrs()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     AuthenticatedData ::= SEQUENCE {
           version CMSVersion,
           originatorInfo [0] IMPLICIT OriginatorInfo OPTIONAL,
           recipientInfos RecipientInfos,
           macAlgorithm MessageAuthenticationCodeAlgorithm,
           digestAlgorithm [1] DigestAlgorithmIdentifier OPTIONAL,
           encapContentInfo EncapsulatedContentInfo,
           authAttrs [2] IMPLICIT AuthAttributes OPTIONAL,
           mac MessageAuthenticationCode,
           unauthAttrs [3] IMPLICIT UnauthAttributes OPTIONAL }

     AuthAttributes ::= SET SIZE (1..MAX) OF Attribute

     UnauthAttributes ::= SET SIZE (1..MAX) OF Attribute

     MessageAuthenticationCode ::= OCTET STRING

Specified by:
  `toASN1Object` in class `ASN1Encodable`

#### calculateVersion

    public static int calculateVersion(OriginatorInfo origInfo)